Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
serp
/
google
/
dataset_info
/
live
/
advanced
Live Google Dataset Info Advanced
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_info/live/advanced \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dataset_id": "<string>",
  "language_name": "<string>",
  "language_code": "<string>",
  "device": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks": [
    "<string>"
  ],
  "tasks[].result": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
dataset_id
string
required

ID of the dataset

language_name
string

Full name of search engine language

language_code
string

Search engine language code

device
string

Device type; possible value: desktop

Response

Successful response

version
string

The current version of the API

status_code
integer

General status code

status_message
string

General informational message

time
string

Execution time, seconds

cost
number

Total tasks cost, USD

tasks
string[]

Array of tasks

tasks[].result
string[]

Array of live SERP results